#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

int glob=3;
int main()
{
	pid_t pid;
	int var=8,i=3;
	printf("before vfork:\n");
	printf("pid=%d,glob=%d,var=%d\n",getpid(),glob,var);
	if((pid=fork())<0)
//	if((pid=vfork())<0)
	{
		perror("fork");
		exit(1);
	}
	else if(pid==0)
	{
		while(i-->0)
		{
			glob++;
			var++;
			printf("child pid=%d,glob=%d,var=%d\n",getpid(),glob,var);
		}
		_exit(0);
	}

	sleep(1);
	printf("parent pid=%d,glob=%d,var=%d\n",getpid(),glob,var);
	exit(0);
}
